Wallet & Transactions
Inspect wallet balances, transactions and virtual accounts.
GET /wallet-balance
Fetch the wallet balance of a provider.
Returns 200 with these fields in data:
| Field | Type |
|---|---|
wallet_balance | number |
available_balance | number |
pending_balance | number |
Errors: 404 provider not found, 500 internal server error.
GET /transactions
Fetch the transaction history of a provider.
Returns 200 with these fields in data:
| Field | Type |
|---|---|
id | string |
reference | string |
amount | number |
type | string |
from | string |
patient_id | string |
created_at | string |
updated_at | string |
recipient_id | string |
provider_id | string |
order_id | string |
paystack_recipient_code | string |
description | string |
status | string |
Errors: 404 provider not found, 500 internal server error.
GET /virtual-accounts
Fetch all virtual accounts for a provider.
Returns 200 with these fields in data:
| Field | Type |
|---|---|
id | string |
user_id | string |
user_type | string |
account_name | string |
account_number | string |
bank_name | string |
currency | string |
created_at | string |
updated_at | string |
Errors: 404 provider not found, 500 internal server error.
Authentication
Send a provider API key as x-api-key. Provider API keys →